> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getPaySchedule

> 
The `getPaySchedule` API retrieves the pay schedules for W2 and/or 1099 workers for a company.

### What it does:

- Returns pay schedule details including payroll beginning and end dates, deadline for payroll submission, and pay date



## OpenAPI

````yaml get /reports/getPaySchedule
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getPaySchedule:
    get:
      tags: []
      summary: getPaySchedule
      description: >-

        The `getPaySchedule` API retrieves the pay schedules for W2 and/or 1099
        workers for a company.


        ### What it does:


        - Returns pay schedule details including payroll beginning and end
        dates, deadline for payroll submission, and pay date
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getPaySchedule
                  example: getPaySchedule
                companyId:
                  type: string
                  format: uuid
              required:
                - method
                - companyId
            example:
              method: getPaySchedule
              companyId: 27FE3598-D47E-49B7-A328-F61802228735
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  paySchedule:
                    type: array
                    items:
                      type: object
                      properties:
                        payScheduleId:
                          type: string
                        payBeginDate:
                          type: string
                        payDate:
                          type: string
                        payEndDate:
                          type: string
                        deadlineToRunPayroll:
                          type: string
                        workerType:
                          type: object
                          properties:
                            workerType:
                              type: string
                          required:
                            - workerType
                        compensationFrequency:
                          type: object
                          properties:
                            compensationFrequency:
                              type: string
                          required:
                            - compensationFrequency
                required:
                  - paySchedule
              example:
                paySchedule:
                  - payScheduleId: 146C42D1-EC46-4F1C-B308-251676DC3942
                    payBeginDate: '2025-01-10'
                    payDate: '2025-01-17'
                    payEndDate: '2025-01-16'
                    deadlineToRunPayroll: '2025-01-14'
                    workerType:
                      workerType: W2
                    compensationFrequency:
                      compensationFrequency: Weekly
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````